---
sidebar_label: s3
---

# alpha.dagger.io/aws/s3

AWS Simple Storage Service

```cue
import "alpha.dagger.io/aws/s3"
```

## s3.#Object

S3 Bucket object(s) sync

### s3.#Object Inputs

| Name                 | Type                  | Description                                                      |
| -------------        |:-------------:        |:-------------:                                                   |
|*config.region*       | `string`              |AWS region                                                        |
|*config.accessKey*    | `dagger.#Secret`      |AWS access key                                                    |
|*config.secretKey*    | `dagger.#Secret`      |AWS secret key                                                    |
|*config.localMode*    | `*false \| bool`      |AWS localstack mode                                               |
|*source*              | `dagger.#Artifact`    |Source Artifact to upload to S3                                   |
|*target*              | `string`              |Target S3 URL (eg. s3://\<bucket-name\>/\<path\>/\<sub-path\>)    |
|*delete*              | `*false \| true`      |Delete files that already exist on remote destination             |
|*contentType*         | `*"" \| string`       |Object content type                                               |
|*always*              | `*true \| false`      |Always write the object to S3                                     |

### s3.#Object Outputs

| Name             | Type              | Description                     |
| -------------    |:-------------:    |:-------------:                  |
|*url*             | `string`          |URL of the uploaded S3 object    |
